#
# spec file for package kicad-library
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kicad-library
Version:        4.0.4
Release:        1.1
Summary:        Schematic and 3D libraries for KiCad
License:        LGPL-2.1+
Group:          Productivity/Scientific/Electronics
Url:            http://kicad-pcb.org
Source:         http://downloads.kicad-pcb.org/libraries/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildArch:      noarch
Requires:       kicad = %{version}
Requires:       kicad-footprints = %{version}
Obsoletes:      kicad-library = 20130729

%description
KiCad is an open source (GPL) software for the creation of electronic schematic
diagrams and printed circuit with up to 32 copper layers and additional techinical layers.

This is the library package for KiCad. It contains:
- schematic symbols
- 3d-packages

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes %{buildroot}/%{_datadir}/kicad/

%files
%defattr(-,root,root,-)
%{_datadir}/kicad/

%changelog
* Mon Sep 12 2016 davejplater@gmail.com
- Update to version 4.0.4
* Mon Aug  8 2016 dmitry_r@opensuse.org
- Update to version 4.0.3
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Update to version 4.0.2
* Wed Jul 31 2013 dmitry_r@opensuse.org
- Update to version 20130729
* Tue Apr  9 2013 werner.ho@gmx.de
- Update to version 20130409
* Thu Jan 24 2013 dmitry_r@opensuse.org
- Update to version 20130122
* Tue Jan  8 2013 cfarrell@suse.com
- license update: LGPL-2.1+
  See COPYING and the majority of source code files
* Fri Dec 28 2012 dmitry_r@opensuse.org
- spec file cleanup
* Sun Apr  1 2012 werner.ho@gmx.de
- Update to 2012-03-25-BZR120
* Sat May 28 2011 werner.ho@gmx.de
- Update to 2011-05-28-BZR109
* Tue Apr 13 2010 mhopf@novell.com
- Update to 2010-04-06-SVN2508
* Thu Dec 17 2009 werner.ho@gmx.de
- created library links from supports.mod to sockets.mod
  This is another fix for #549936
* Sat Dec  5 2009 werner.ho@gmx.de
- use library from SVN repo. There's no working library
  package on soureforge. Fixes #549936
* Tue Mar 25 2008 werner.ho@gmx.de
- initial build of the kicad library package version 1.0
